-- ---------------------------------------------------------------------------------------
-- HOW TO FILL THE DATA TABLE
--   Key is the spell ID whose tooltip will be modified
--   First value is the position of numeric param(s) within the English spell description
--   Second value is the PVP multiplier
--   Third value is an optional spec filter, if modifier only applies for a spec
--   Fourth value is an optional spell ID, whose name will appear next to the PVP modifier
-- ---------------------------------------------------------------------------------------

-- TODO: add special warning to tooltips of arena achievements earned between 2018-07-17 and 2018-08-14
-- TODO: show PVP CC durations
-- TODO: Legion trinkets: effectiveness of trinkets obtained via PvE sources such as Dungeons and Raids have been reduced by 75% in PvP.

PVPTooltips_Data = {
	--            position, multiplier, specfilter, details
	-- @DK
	[53344]  = {         2,    0.66666,        nil,   60229 }, -- Rune of the Fallen Crusader (Unholy Strength)
	[51271]  = {         1,    0.66666,        nil,     nil }, -- Pillar of Frost
	[191587] = {    {1, 3},       0.90,        nil,     nil }, -- Virulent Plague
	[191685] = {    {1, 3},       0.90,        nil,     nil }, -- Virulent Explosion
	[278489] = {         1,       0.65,        nil,     nil }, -- Last Surprise (AT)
	[288417] = {         2,       0.50,        nil,     nil }, -- Magus of the Dead (AT)
	
	-- @DH
	[278493] = {        {},       0.50,        nil,     nil }, -- Thirsting Blades (AT)
	[272983] = {         2,       0.50,        nil,     nil }, -- Revel in Pain (AT)

	-- @Druid
	[272871] = {         1,       0.50,        nil,     nil }, -- Streaking Stars (AT)
	[1822]   = {         7,       0.60,        nil,  223761 }, -- Rake
	[5221]   = {         3,       0.70,        nil,  223761 }, -- Shred
	[276021] = {         2,       0.42,        nil,  106550 }, -- Iron Jaws (AT)
	[274398] = {         1,       0.74,        nil,     nil }, -- Sunblaze (AT)
	[273338] = {         1,       0.50,        nil,     nil }, -- Raking Ferocity (AT)
	[279778] = {         1,       0.75,        nil,     nil }, -- Grove Tending (AT)
	[8936]   = {    {1, 2},       0.75,       -105,     nil }, -- Regrowth (Balance, Feral, Guardian)
	[18562]  = {         1,       0.70,       -105,     nil }, -- Swiftmend (Balance, Feral, Guardian)
	[774]    = {         1,       0.70,       -105,     nil }, -- Rejuvenation (Balance, Feral, Guardian)
	[48438]  = {         3,       0.70,       -105,     nil }, -- Wild Growth (Balance, Feral, Guardian)
	[77495]  = {        {},       0.70,        nil,   18194 }, -- Mana Regen Penalty
	[273344] = {    {1, 2},       0.50,		   nil,     nil }, -- Masterful Instincts (AT)
	[287773] = {         1,       0.50,        nil,     nil }, -- Arcanic Pulsar (AT)
	[279642] = {         1,       0.50,        nil,     nil }, -- Lively Spirit (AT)
	[22568]  = { {4,6,8,10,12},   0.80,        nil,     nil }, -- Ferocious Bite
	[194223] = {         1,    0.66666,        nil,  223761 }, -- Celestial Alignment
	[102560] = {         1,       0.80,        nil,  223761 }, -- Incarnation: Chosen of Elune
	[202342] = {         2,       0.50,        nil,  197911 }, -- Shooting Stars
	
	-- @Hunter
	[260402] = {    {1, 2},       0.50,        nil,     nil }, -- Double Tap
	[260228] = {         2,       0.50,        nil,  223761 }, -- Careful Aim
	[19434]  = {         1,       1.00,        nil,     nil }, -- Aimed Shot
	[260367] = {         1,    0.66666,        nil,     nil }, -- Streamline
	[191384] = {         1,    0.66666,        nil,  223761 }, -- Aspect of the Beast
	[19574]  = {         1,       0.80,        nil,     nil }, -- Bestial Wrath
	[49966]  = {         1,       0.70,        nil,     nil }, -- Smack
	[17253]  = {         1,       0.70,        nil,     nil }, -- Bite
	[16827]  = {         1,       0.70,        nil,     nil }, -- Claw
	[278528] = {         1,      0.625,        nil,     nil }, -- Pack Alpha (AT)
	[273283] = {         2,       0.70,        nil,     nil }, -- Latent Poison (AT)
	[76657]  = {        {},       0.82,        nil,    8875 }, -- Pet Damage Penalty
	[287093] = { 		 1, 	  0.50, 	   nil, 	nil }, -- Dire Consequences (AT)
	[287707] = { 		 1, 	  0.50,        nil,     nil }, -- Surging Shots (AT)

	-- @Mage
	[274594] = {         1,       0.50,        nil,     nil }, -- Arcane Pressure (AT)
	[278536] = {    {1, 2},      1.071,        nil,     nil }, -- Galvanizing Spark (AT)
	[1463]   = {    {1, 2},       0.75,        nil,     nil }, -- Incanter's flow
	[235463] = {         1,      -3.00,        nil,   46267 }, -- Mana Shield
	[155147] = {         1,    0.66666,        nil,  223761 }, -- Overpowered
	[116011] = {         2,       0.75,        nil,     nil }, -- Rune of Power
	[199786] = {         1,       0.80,        nil,     nil }, -- Glacial Spike
	[272968] = {         1,       0.50,        nil,     nil }, -- Packed Ice (AT)
	[278542] = {        {},    0.33333,        nil,  198144 }, -- Frigid Grasp (AT)
	[153595] = {         2,       0.80,        nil,     nil }, -- Comet Storm
	[116]    = {         1,       1.15,        nil,     nil }, -- Frostbolt
	[153561] = {    {2, 4},       0.80,        nil,     nil }, -- Meteor
	[133]    = {         1,       1.15,        nil,     nil }, -- Fireball
	[270669] = {         2,		  0.50,        nil,     nil }, -- Arcane Pummeling (AT)
	[288204] = {         1,       0.50,        nil,     nil }, -- Flash Freeze (AT)
	[274596] = {         1,       0.50,        nil,     nil }, -- Blaster Master (AT)
	[288755] = { {1, 2, 4},       0.50,        nil,     nil }, -- Wildfire (AT)
	
	-- @Monk
	[278580] = {    {1, 2},       0.40,        nil,     nil }, -- Meridian Strikes (AT)
	[279918] = {         3,      0.625,        nil,  106550 }, -- Open Palm Strikes (AT)
	[117907] = {        {},       0.80,        nil,   18194 }, -- Mana Regen Penalty
	[288634] = {         2,       0.50,        nil,     nil }, -- Glory of the Dawn (AT)

	-- @Paladin
	[53385]  = {         1,       1.00,        nil,     nil }, -- Divine Storm
	[85256]  = {         1,       1.00,        nil,     nil }, -- Templar's Verdict
	[267610] = {         1,    0.66666,        nil,     nil }, -- Righteous Verdict
	[267798] = {         2,       0.75,        nil,  223761 }, -- Execution Sentence
	[210191] = {         3,       0.80,        nil,     nil }, -- Word of Glory
	[223817] = {         2,    0.66666,        nil,     nil }, -- Divine Purpose
	[183997] = {        {},       0.80,        nil,   18194 }, -- Mana Regen Penalty
	[272898] = {         1,       0.50,        nil,     nil }, -- Avenger's Might (AT)
	[286229] = {         1,       0.50,        nil,     nil }, -- Light's Decree (AT)
	[287126] = {         1,       0.50,        nil,     nil }, -- Righteous Conviction (AT)
	[19750]  = {   		 1,       1.15,         65,     nil }, -- Flash of Light (Holy)
	[82326]  = {         1,       1.25,        nil,     nil }, -- Holy Light
	
	-- @Priest
	[280391] = {         1,    0.66666,        nil,     nil }, -- Sins of the Many
	[271534] = {        {},       0.80,        nil,   18194 }, -- Mana Regen Penalty (Discipline)
	[45243]  = {         1,    0.66666,        256,     nil }, -- Focused Will
	[275722] = {         1,       0.50,        nil,     nil }, -- Whispers of the Damned (AT)
	[2060]   = {         1,       1.50,        nil,     nil }, -- Heal (Holy)
	[186263] = { {1, 2, 4},       1.25,        258,     nil }, -- Shadow Mend (Shadow)
	[17]     = {         2,       1.10,        256,     nil }, -- Power Word: Shield
	
	-- @Rogue
	[131511] = {         1,       0.50,        nil,     nil }, -- Prey on the Weak
	[2823]   = {    {3, 5},       0.80,        nil,     nil }, -- Deadly Poison
	[79140]  = {         2,    0.66666,        nil,  223761 }, -- Vendetta
	[245388] = {         2,    0.66666,        nil,  223761 }, -- Toxic Blade
	[703]    = {         1,       0.80,        nil,     nil }, -- Garrote
	[108208] = {         2,       0.50,        259,  223761 }, -- Subterfuge
	[245639] = {         1,      0.375,        nil,     nil }, -- Shuriken Combo
	[273418] = {         2,    0.33333,        nil,     nil }, -- Night's Vengeance (AT)
	[272911] = {         1,       0.50,        nil,     nil }, -- Sharpened Blades (AT)
	[272935] = {         1,       0.70,        nil,     nil }, -- Deadshot (AT)
	[2098]   = { {2,4,6,8,10,12}, 0.85,        nil,     nil }, -- Dispatch
	[51690]  = {         2,       0.80,        nil,  106550 }, -- Killing Spree 
	[199804] = {{2,5,8,11,14,17}, 0.80,        nil,  106550 }, -- Between the Eyes
	[196819] = {    {2,4,6,8,10}, 0.85,        nil,     nil }, -- Eviscerate
	[185438] = {         1,       0.90,        nil,     nil }, -- Shadowstrike
	[278664] = {    {1, 2},       0.25,        nil,     nil }, -- Fan of Blades (AT)
	[76803]  = {        {},       0.94,        nil,  106550 }, -- Damage Penalty
	[275846] = {         2,       0.70,        nil,     nil }, -- Snake Eyes (AT)
	[286573] = {         1,       0.50,        nil,     nil }, -- Nothing Personal (AT)

	-- @Shaman
	[61295]  = {    {1, 2},       0.85,        nil,     nil }, -- Riptide
	[278719] = {         3,       0.50,        nil,  106550 }, -- Roiling Storm (AT)
	[273448] = {         1,       0.50,        nil,  106550 }, -- Lava Shock (AT)
	[278713] = {         2,       0.75,        nil,   23991 }, -- Surging Tides (AT)
	[77226]  = {        {},       0.70,        nil,   18194 }, -- Mana Regen Penalty (Restoration)
	[77223]  = {        {},       0.70,        nil,   18194 }, -- Mana Regen Penalty (Enhancement)
	[188070] = {         1,    0.66666,        263,     nil }, -- Healing Surge (Enhancement)
	[280021] = {         1,       0.20,        nil,     nil }, -- Pack Spirit (AT)
	[1064]   = {         1,       1.50,        nil,     nil }, -- Chain Heal
	[77472]  = {         1,       1.25,        nil,     nil }, -- Healing Wave
	[8042]   = {         1,       0.90,        nil,     nil }, -- Earth Shock
	[191634] = {         2,    0.76666,        nil,  223761 }, -- Stormkeeper
	[262303] = {        {},    0.66666,        nil,  168534 }, -- Surge of Power

	-- @Warlock
	[278738] = {         2,      0.602,        nil,  106550 }, -- Forbidden Knowledge (AT)
	[277644] = {         2,     1.4286,        nil,  106550 }, -- Crashing Chaos (AT)
	[278727] = {         1,       0.50,        nil,     nil }, -- Dreadful Calling (AT)
	[287059] = {         1,       0.50,        nil,     nil }, -- Baleful Invocation (AT)

	-- @Warrior
	[115768] = {         1,       0.75,        nil,     nil }, -- Deep Wounds
	[278752] = {         1,       0.45,        nil,     nil }, -- Lord of War (AT)
	[272866] = {         1,      0.371,        nil,     nil }, -- Executioner's Precision (AT)
	[275529] = {         1,       0.70,        nil,     nil }, -- Test of Might (AT)
	[197690] = {         2,      -2.00,        nil,  148835 }, -- Defensive Stance (damage penalty)
	[288641] = {         2,       0.50,        nil,     nil }, -- Intimidating Presence (AT)
	[278751] = {         1,       0.50,        nil,     nil }, -- Crushing Assault (AT)
	[287377] = {         1,       0.50,        nil,     nil }, -- Bastion of Might (AT)

	-- @General
	[255647] = {         1,       0.50,        nil,     nil }, -- Light's Judgment
	[255652] = {         1,       0.50,        nil,  106550 }, -- Light's Reckoning
	[267683] = {         3,       0.50,        nil,  141579 }, -- Azerite Veins (AT, duration)
	[268437] = {         1,       0.50,        nil,     nil }, -- Impassive Visage (AT)
	[268435] = {         1,       0.50,        nil,     nil }, -- Azerite Fortification (AT)
};

-- -----------------------------------------------------------------------
-- Secondary data table, when a spell has a secondary PVP multiplier on it
-- -----------------------------------------------------------------------

PVPTooltips_SecondaryData = {
	--            position, multiplier, specfilter, details
	-- @DK
	-- n/a
	
	-- @DH
	-- n/a

	-- @Druid
	[77495]  = {        {},       0.90,        nil,   36347 }, -- Healing Penalty
	[8936]   = {    {1, 2},       1.15,        105,     nil }, -- Regrowth (Restoration)
	
	-- @Hunter
	-- n/a

	-- @Mage
	-- n/a
	
	-- @Monk
	-- n/a
	
	-- @Paladin
	-- n/a

	-- @Priest
	[77485]  = {        {},       0.70,        nil,   18194 }, -- Mana Regen Penalty (Holy)
	
	-- @Rogue
	-- n/a

	-- @Shaman
	[77223]  = {        {},       0.95,        nil,  106550 }, -- Damage Penalty
	[8004]   = {         1,       1.15,        264,     nil }, -- Healing Surge (Restoration)

	-- @Warlock
	-- n/a
	
	-- @Warrior
	-- n/a

	-- @General
	[267683] = {         1,    0.66666,        nil,  180102 }, -- Azerite Veins (AT, healing)
};

-- -------------------------------------------------------------------
-- Redirection table, when multiple spells are actually the same spell
-- -------------------------------------------------------------------

PVPTooltips_Redirection = {
	-- Last Surprise
	-- n/a
	
	-- Magus of the Dead
	-- n/a
	
	-- Thirsting Blades
	-- n/a
	
	-- Revel in Pain
	[272985] = 272983,
	[272986] = 272983,
	
	-- Streaking Stars
	[272872] = 272871,
	
	-- Sunblaze
	[274399] = 274398,
	
	-- Raking Ferocity
	[273339] = 273338,
	[273340] = 273338,
	
	-- Grove Tending
	[279779] = 279778,
	[279793] = 279778,
	
	-- Masterful Instincts
	-- n/a
	
	-- Arcanic Pulsar
	[287784] = 287773,
	[287790] = 287773,
	
	-- Lively Spirit
	[279646] = 279642,
	[279647] = 279642,
	
	-- Pack Alpha
	-- n/a
	
	-- Latent Poison
	[273284] = 273283,
	
	-- Dire Consequences
	[287097] = 287093,
	
	-- Surging Shots
	[287711] = 287707,
	
	-- Arcane Pressure
	-- n/a
	
	-- Galvanizing Spark
	[279080] = 278536,
	[279081] = 278536,
	
	-- Packed Ice
	[272969] = 272968,
	[272970] = 272968,
	
	-- Frigid Grasp
	[279684] = 278542,
	[279685] = 278542,
	
	-- Arcane Pummeling
	[270670] = 270669,
	[270671] = 270669,
	
	-- Flash Freeze
	[288164] = 288204,
	
	-- Blaster Master
	[274597] = 274596,
	[274598] = 274596,
	
	-- Wildfire
	[288795] = 288755,
	[288800] = 288755,
	[288803] = 288755,
	
	-- Meridian Strikes
	-- n/a
	
	-- Open Palm Strikes
	[279921] = 279918,
	[279922] = 279918,
	
	-- Glory of the Dawn
	-- n/a
	
	-- Avenger's Might
	[272903] = 272898,
	[272904] = 272898,
	
	-- Light's Decree
	[286231] = 286229,
	
	-- Righteous Conviction
	-- n/a
	
	-- Whispers of the Damned
	[275725] = 275722,
	[275726] = 275722,

	-- Night's Vengeance
	[273419] = 273418,
	[273424] = 273418,
	
	-- Sharpened Blades
	[272913] = 272911,
	[272916] = 272911,
	
	-- Snake Eyes
	[275858] = 275846,
	[275863] = 275846,
	
	-- Nothing Personal
	[286579] = 286573,
	[286581] = 286573,
	[289467] = 286573,
	
	-- Roiling Storm
	[279513] = 278719,
	
	-- Lava Shock
	[273449] = 273448,
	[273453] = 273448,
	
	-- Surging Tides
	[279181] = 278713,
	[279187] = 278713,
	
	-- Pack Spirit
	[280203] = 280021,
	[280205] = 280021,
	
	-- Forbidden Knowledge
	[279665] = 278738,
	[279666] = 278738,
	
	-- Crashing Chaos
	[277705] = 277644,
	[277706] = 277644,
	
	-- Dreadful Calling
	[279650] = 278727,
	
	-- Baleful Invocation
	-- n/a
		
	-- Deadshot
	[272936] = 272935,
	[272940] = 272935,
	
	-- Fan of Blades
	[279030] = 278664,
	
	-- Lord of War
	[279202] = 278752,
	[279203] = 278752,
	
	-- Executioner's Precision
	[272867] = 272866,
	[272870] = 272866,
	
	-- Test of Might
	[275531] = 275529,
	[275532] = 275529,
	
	-- Intimidating Presence
	[288642] = 288641,
	[288644] = 288641,
	
	-- Crushing Assault
	[278824] = 278751,
	[278826] = 278751,
	
	-- Bastion of Might
	[287378] = 287377,
	[287379] = 287377,
	
	-- Azerite Veins
	[270673] = 267683,
	[270674] = 267683,
	[283311] = 267683,
	
	-- Impassive Visage
	[270117] = 268437,
	[270654] = 268437,
	
	-- Azerite Fortification
	[270658] = 268435,
	[270659] = 268435,
};

-- ---------------
-- Item data table
-- ---------------

PVPTooltips_ItemData = {
	-- BFA trinkets
	[159611] = 0.75, -- Big Red Button
	[159618] = 0.45, -- Mchimba's Ritual Bandages
	[160653] = 0.30, -- Xalzaix's Veiled Eye
	
	-- Legion legendary items
	[132376] = 0.50, -- Acherus Drapes
	[132409] = 0.50, -- Anund's Seared Shackles
	[144358] = 0.50, -- Ashes to Dust
	[133977] = 0.50, -- Belo'vir's Final Stand
	[151796] = 0.25, -- Cold Heart
	[137014] = 0.50, -- Eternal Hunger
	[151802] = 0.50, -- Fury of Nature
	[144281] = 0.40, -- Haemostasis
	[137057] = 0.375, -- Hidden Master's Forbidden Touch
	[137049] = 0.50, -- Insignia of Ravenholdt
	[144259] = 0.25, -- Kil'jaeden's Burning Wish
	[137082] = 0.50, -- Mark of Helbrine
	[144236] = 0.25, -- Master Assassin's Initiative
	[137081] = 0.30, -- Sentinel's Sight
	[132466] = 0.50, -- Shaladrassil's Nourishment
	[137025] = 0.50, -- Skysec's Hold
	[144292] = 0.333, -- Spirit of the Darkness Flame
	[151788] = 0.40, -- Stormstout's Last Gasp
	[137075] = 0.50, -- Tak'theritrix's Command
	[137078] = 0.50, -- The Dark Titan's Advice
	[137021] = 0.40, -- The Dreadlord's Deceit
	[144239] = 0.50, -- The Emperor's Capacitor
	[137064] = 0.50, -- The Shadow Hunter's Regeneration
	[132458] = 0.333, -- Toravon's Whiteout Bindings
	[144295] = 0.50, -- Twin Moonfire
	[137069] = 0.50, -- Will of Valeera
	
	-- Legion trinkets
	[138225] = 0, -- Phantasmal Echo
	-- ...probably many more disabled
};
